
QGIS Application - Bug report #16994

QGIS Server responds with HTTP 500 error

2017-08-09 08:49 PM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24893

Description

Apache log:

QXcbConnection: Could not connect to display 

[Thu Aug 10 01:47:39.646423 2017] [fcgid:warn] [pid 17523] (104)Connection reset by peer: [client ::1:38822] mod_fcgid: error

reading data from FastCGI server

[Thu Aug 10 01:47:39.646542 2017] [core:error] [pid 17523] [client ::1:38822] End of script output before headers:

qgis_mapserv.fcgi

[Thu Aug 10 01:47:41.934080 2017] [fcgid:error] [pid 17522] mod_fcgid: process /usr/lib/cgi-bin/qgis_mapserv.fcgi(17539)

exit(communication error), get signal 6, possible coredump generated

History

#1 - 2017-08-09 08:51 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is the server headless?

if yes see: https://www.itopen.it/qgis-server-setup-notes/

#2 - 2017-08-09 10:27 PM - dr -

Thanks for advice, with Xfvb it works as should. Is it QGIS3 only specific requirement?

#3 - 2017-08-09 10:44 PM - dr -

- Resolution set to wontfix

- Status changed from Feedback to Closed

#4 - 2017-08-10 11:02 AM - Giovanni Manghi

dr - wrote:

Thanks for advice, with Xfvb it works as should. Is it QGIS3 only specific requirement?

no, is also necessary for QGIS 2.* anytime you want to do GetPrints that include advanced symbology or text boxes with html content.
https://www.itopen.it/qgis-server-setup-notes/
